net.minecraft.client.renderer.entity

## Class RenderZombie

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity
    - - net.minecraft.client.renderer.entity.RenderLiving
      - - net.minecraft.client.renderer.entity.RenderBiped
        - - net.minecraft.client.renderer.entity.RenderZombie

-     public class RenderZombie
      extends RenderBiped

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ModelBiped` | `field_82433_n`
    `protected ModelBiped` | `field_82435_l`
    `protected ModelBiped` | `field_82436_m`
    `protected ModelBiped` | `field_82437_k`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RenderBiped

      `bipedArmorFilenamePrefix, field_77070_b, field_82423_g, field_82425_h, modelBipedMain`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `mainModel, NAME_TAG_RANGE, NAME_TAG_RANGE_SNEAK, renderPassModel`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderZombie()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLivingBase par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityZombie par1EntityZombie, double par2, double par4, double par6, float par8, float par9)`
    `protected void` | `func_82421_b()`
    `protected ResourceLocation` | `getEntityTexture(Entity par1Entity)`
    `protected ResourceLocation` | `getEntityTexture(EntityLiving par1EntityLiving)`
    `protected ResourceLocation` | `getEntityTexture(EntityZombie par1EntityZombie)`
    `protected void` | `renderEquippedItems(EntityLivingBase par1EntityLivingBase, float par2)`
    `protected void` | `renderEquippedItems(EntityLiving par1EntityLiving, float par2)`
    `protected void` | `renderEquippedItems(EntityZombie par1EntityZombie, float par2)`
    `protected void` | `rotateCorpse(EntityLivingBase par1EntityLivingBase, float par2, float par3, float par4)`
    `protected void` | `rotateCorpse(EntityZombie par1EntityZombie, float par2, float par3, float par4)`
    `protected int` | `shouldRenderPass(EntityLivingBase par1EntityLivingBase, int par2, float par3)`
    `protected int` | `shouldRenderPass(EntityLiving par1EntityLiving, int par2, float par3)`
    `protected int` | `shouldRenderPass(EntityZombie par1EntityZombie, int par2, float par3)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RenderBiped

      `func_110857_a, func_110858_a, func_82408_c, func_82408_c, func_82420_a, func_82422_c, getArmorResource`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RenderLiving

      `func_110813_b, func_110813_b, func_110827_b`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `func_96449_a, getColorMultiplier, getDeathMaxRotation, handleRotationFloat, inheritRenderPass, passSpecialRender, preRenderCallback, renderArrowsStuckInEntity, renderLivingAt, renderModel, renderSwingProgress, setRenderPassModel`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_82437_k

          protected ModelBiped field_82437_k

    - #### field_82435_l

          protected ModelBiped field_82435_l

    - #### field_82436_m

          protected ModelBiped field_82436_m

    - #### field_82433_n

          protected ModelBiped field_82433_n

  - ### Constructor Detail

    - #### RenderZombie

          public RenderZombie()

  - ### Method Detail

    - #### func_82421_b

          protected void func_82421_b()

      Overrides:
        `func_82421_b` in class `RenderBiped`

    - #### shouldRenderPass

          protected int shouldRenderPass(EntityZombie par1EntityZombie,
                             int par2,
                             float par3)

    - #### doRender

          public void doRender(EntityZombie par1EntityZombie,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(EntityZombie par1EntityZombie)

    - #### renderEquippedItems

          protected void renderEquippedItems(EntityZombie par1EntityZombie,
                                 float par2)

    - #### rotateCorpse

          protected void rotateCorpse(EntityZombie par1EntityZombie,
                          float par2,
                          float par3,
                          float par4)

    - #### renderEquippedItems

          protected void renderEquippedItems(EntityLiving par1EntityLiving,
                                 float par2)

      Overrides:
        `renderEquippedItems` in class `RenderBiped`

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(EntityLiving par1EntityLiving)

      Overrides:
        `getEntityTexture` in class `RenderBiped`

    - #### doRender

          public void doRender(EntityLiving par1EntityLiving,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderBiped`

    - #### shouldRenderPass

          protected int shouldRenderPass(EntityLiving par1EntityLiving,
                             int par2,
                             float par3)

      Overrides:
        `shouldRenderPass` in class `RenderBiped`

    - #### shouldRenderPass

          protected int shouldRenderPass(EntityLivingBase par1EntityLivingBase,
                             int par2,
                             float par3)

      Overrides:
        `shouldRenderPass` in class `RenderBiped`

    - #### renderEquippedItems

          protected void renderEquippedItems(EntityLivingBase par1EntityLivingBase,
                                 float par2)

      Overrides:
        `renderEquippedItems` in class `RenderBiped`

    - #### rotateCorpse

          protected void rotateCorpse(EntityLivingBase par1EntityLivingBase,
                          float par2,
                          float par3,
                          float par4)

      Overrides:
        `rotateCorpse` in class `RendererLivingEntity`

    - #### doRender

          public void doRender(EntityLivingBase par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderBiped`

    - #### getEntityTexture

          protected ResourceLocation getEntityTexture(Entity par1Entity)

      Overrides:
        `getEntityTexture` in class `RenderBiped`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RenderBiped`